ru.bitel.bgbilling.modules.dialup.radius.event

## Class TariffZoneChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.dialup.radius.event.TariffZoneChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TariffZoneChangedEvent
      extends LocalEvent

  Синхронное событие - тарифная зона изменилась.
  Cобытие, генерируется при изменении зоны в тарифном плане.
  Синхронное, выполняется в контексте BGRadiusDialup.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffZoneChangedEvent(int moduleId, ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection nasCon, java.lang.String eventName)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEventName()` Возвращает имя события, указанное в узле тарифа "Зона" в поле "Событие BGBS".
    `ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection` | `getNasConnection()` Возвращает соединение.
    `bitel.billing.server.processor.dialup.DialUpSessionRealtime` | `getSession()` Возвращает сессию.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffZoneChangedEvent

          public TariffZoneChangedEvent(int moduleId,
                                        ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection nasCon,
                                        java.lang.String eventName)

      Конструктор события.
      Parameters:
        `moduleId` - - код модуля
        `nasCon` - - dialup nas connection
        `eventName` - - имя события, указанное в узле тарифа "Зона" в поле "Событие BGBS"

  - ### Method Detail

    - #### getNasConnection

          public ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection getNasConnection()

      Возвращает соединение.
      Returns:
        nasCon - dialup nas connection

    - #### getSession

          public bitel.billing.server.processor.dialup.DialUpSessionRealtime getSession()

      Возвращает сессию.
      Returns:
        session - сессия данного соединения

    - #### getEventName

          public java.lang.String getEventName()

      Возвращает имя события, указанное в узле тарифа "Зона" в поле "Событие BGBS".
      Returns:
        eventName - имя события